/**********************************************************************
 *
 * invbrowserclass.cpp -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: invbrowserclass.cpp 668 1999-10-14 22:59:35Z sjboddie $
 *
 *********************************************************************/

/*
   $Log$
   Revision 1.2  1999/10/14 22:59:34  sjboddie
   finished off browser classes

   Revision 1.1  1999/10/10 08:28:06  sjboddie
   - metadata now returns map rather than array
   - redesigned browsing support

 */


#include "invbrowserclass.h"
#include <assert.h>
#include "OIDtools.h"

invbrowserclass::invbrowserclass () {
}

invbrowserclass::~invbrowserclass () {
}

// returns the name that specifies the browserclass type
text_t invbrowserclass::get_browser_name () {
  return "Invisible";
}
